/* 
Compute Y = alpha * X + beta * Y

where 
   N = degree of each vector
   incX = X stride
   incY = Y stride
*/

void catlas_daxpby(const int N, const double alpha, const double *X,
const int incX, const double beta, double *Y, const int incY) 
{
  int i;
  for(i=0; i < N; i++) {
    Y[i*incY] = alpha * X[i*incX] + beta * Y[i*incY];
  }
}
